INSERT(3PVM)

NAME
pvm_insert - store data in pvmd database
[In Version 3.4: Relaced by pvm_putinfo]

SYNOPSIS
C	int cc = pvm_insert( char *name, int index, int data )

Fortran	Not available

PARAMETERS

name
    The class name, a null-terminated string.

index
    The class index, >= 0 or -1 for first available.

data
    Data to store in the <name, index> entry.

DESCRIPTION
The master pvmd maintains a simple database, which can be used to store values such as tids and make them accessible anywhere within a virtual machine. This is useful when building an application such as the group server, which must advertise its task id so clients can register send messages to register.

The database stores integer data, indexed by <name, index> pairs. The name may be any null-terminated string and the index any non-negative integer. Database entries are grouped by name into classes; index may be specified as -1 to store or retrieve the first available instance in a class.

These functions are not part of the group library, but are the underlying mechanism used to implement it.

pvm_insert stores data at the given index. If index is -1, the data is stored at the first available index in the named class, starting at 0.

ERRORS
If successful, pvm_insert returns the index at which the data was stored, otherwise it returns a negative result. The following error conditions can be returned:

PvmBadParam
    giving an invalid argument value.

PvmDupEntry
    the requested <name, index> pair is already in use.

SEE ALSO
pvm_delete(3PVM), pvm_lookup(3PVM)